Bug 832510 - vnc server starts before the network
vnc server starts before the network
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
AcceptedBlocker
:
: 867425 868777 (view as bug list)
Depends On:
Blocks: F18Blocker/F18FinalBlocker
  Show dependency treegraph
 
Reported: 2012-06-15 11:17 EDT by Rafael Ávila de Espíndola
Modified: 2013-03-12 10:24 EDT (History)
14 users (show)

See Also:
Fixed In Version: anaconda-18.37.10-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 16:33:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Untested patch (2.08 KB, patch)
2013-01-02 15:57 EST, David Woodhouse
no flags Details | Diff

  None (edit)
Description Rafael Ávila de Espíndola 2012-06-15 11:17:32 EDT
Booting with the vnc option I get the error

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1013, in <module>
    runVNC()
  File "/usr/bin/anaconda", line 343, in runVNC
    vncS.startServer()
  File "/usr/lib/anaconda/vnc.py", line 217, in startServer
    self.initialize()
  File "/usr/lib/anaconda/vnc.py", line 128, in initialize
    if self.ip.find(':') != -1:
AttributeError: 'NoneType' object has no attribute 'find'

Switching to  the second terminal shows that the network is configure and manually starting anaconda again starts the vnc server with no errors.
Comment 1 Jesse Keating 2012-06-28 16:24:24 EDT
Can you attach all the log files for this problem?  Seems rather transient, nobody else has reported something like this.

We are reviewing some code to handle the case where we don't have a known IP yet, so the traceback at least would go away, you just wouldn't be told what the IP is to connect to.
Comment 2 Timo Schoeler 2012-07-05 05:11:09 EDT
I see this error booting F17 on an IBM Intelli Power 285; F16 on the exact same setup (eth0 connected to a DHCP-featured network) works flawlessly.

IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM                             IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM     STARTING SOFTWARE       IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM        PLEASE WAIT...       IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM                             IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
|
Elapsed time since release of system processors: 2 mins 41 secs

Config file read, 246 bytes


Welcome to the 64-bit Fedora 17 installer!
Hit <TAB> for boot options.


Welcome to yaboot version 1.3.17 (Red Hat 1.3.17-2.fc16)
Enter "help" to get some basic usage information
boot: linux vnc
Please wait, loading kernel...
   Elf64 kernel loaded...
Loading ramdisk...
ramdisk loaded at 03300000, size: 23133 Kbytes
OF stdout device is: /vdevice/vty@30000000
Preparing to boot Linux version 3.3.4-5.fc17.ppc64 (mockbuild@ppc-builder2.qa.fedoraproject.org) (gcc version 4.7.0 20120504 (Red Hat 4.7.0-4) (GCC) ) #1 SMP Mon May 14 10:18:37 MST 2012
Detected machine type: 0000000000000101
Max number of cores passed to firmware: 512 (NR_CPUS = 1024)
Calling ibm,client-architecture-support... not implemented
command line: ro root=live:CDLABEL=Fedora_17_ppc64 vnc
memory layout at init:
  memory_limit : 0000000000000000 (16 MB aligned)
  alloc_bottom : 00000000049a0000
  alloc_top    : 0000000008000000
  alloc_top_hi : 00000000f5000000
  rmo_top      : 0000000008000000
  ram_top      : 00000000f5000000
found display   : /pci@800000020000002/display@1, opening... done
instantiating rtas at 0x00000000075a0000... done
Querying for OPAL presence... not there.
boot cpu hw idx 0
copying OF device tree...
Building dt strings...
Building dt structure...
Device tree strings 0x0000000004ab0000 -> 0x0000000004ab137c
Device tree struct  0x0000000004ac0000 -> 0x0000000004ae0000
[    0.000000] Phyp-dump not supported on this hardware
[    0.000000] Using pSeries machine description
[    0.000000] Using 1TB segments
[    0.000000] Found initrd at 0xc000000003300000:0xc0000000049975ac
[    0.000000] bootconsole [udbg0] enabled
[    0.000000] Partition configured for 2 cpus.
[    0.000000] CPU maps initialized for 2 threads per core
[    0.000000] Starting Linux PPC64 #1 SMP Mon May 14 10:18:37 MST 2012
[    0.000000] -----------------------------------------------------
[    0.000000] ppc64_pft_size                = 0x1a
[    0.000000] physicalMemorySize            = 0xf5000000
[    0.000000] htab_hash_mask                = 0x7ffff
[    0.000000] -----------------------------------------------------
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 3.3.4-5.fc17.ppc64 (mockbuild@ppc-builder2.qa.fedoraproject.org) (gcc version 4.7.0 20120504 (Red Hat 4.7.0-4) (GCC) ) #1 SMP Mon May 14 10:18:37 MST 2012
[    0.000000] [boot]0012 Setup Arch
[    0.000000] PCI host bridge /pci@800000020000002  ranges:
[    0.000000]   IO 0x000003fe00200000..0x000003fe002fffff -> 0x0000000000000000
[    0.000000]  MEM 0x0000040040000000..0x000004007fffffff -> 0x00000000c0000000 
[    0.000000] PCI host bridge /pci@800000020000003  ranges:
[    0.000000]   IO 0x000003fe00300000..0x000003fe003fffff -> 0x0000000000000000
[    0.000000]  MEM 0x0000040080000000..0x00000400bfffffff -> 0x00000000c0000000 
[    0.000000] PCI host bridge /pci@800000020000004  ranges:
[    0.000000]   IO 0x000003fe00400000..0x000003fe004fffff -> 0x0000000000000000
[    0.000000]  MEM 0x00000400c0000000..0x00000400ffffffff -> 0x00000000c0000000 
[    0.000000] EEH: PCI Enhanced I/O Error Handling Enabled
[    0.000000] PPC64 nvram contains 7168 bytes
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000000 -> 0x0000f500
[    0.000000]   Normal   empty
[    0.000000] Movable zone start PFN for each node
[    0.000000] Early memory PFN ranges
[    0.000000]     0: 0x00000000 -> 0x0000f500
[    0.000000] [boot]0015 Setup Done
[    0.000000] PERCPU: Embedded 2 pages/cpu @c000000001700000 s84608 r0 d46464 u524288
[    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pages: 62666
[    0.000000] Policy zone: DMA
[    0.000000] Kernel command line: ro root=live:CDLABEL=Fedora_17_ppc64 vnc
[    0.000000] PID hash table entries: 4096 (order: -1, 32768 bytes)
[    0.000000] freeing bootmem node 0
[    0.000000] Memory: 3940480k/4014080k available (17920k kernel code, 73600k reserved, 1856k data, 2952k bss, 6656k init)
[    0.000000] SLUB: Genslabs=19, HWalign=128, Order=0-3, MinObjects=0, CPUs=2, Nodes=256
[    0.000000] Hierarchical RCU implementation.
[    0.000000] NR_IRQS:512 nr_irqs:512 16
[    0.000000] clocksource: timebase mult[21b5307] shift[23] registered
[    0.000000] Console: colour dummy device 80x25
[    0.000000] console [hvc0] enabled, bootconsole disabled
[    0.000000] console [hvc0] enabled, bootconsole disabled
[    0.000000] allocated 1003520 bytes of page_cgroup
[    0.000000] please try 'cgroup_disable=memory' option if you don't want memory cgroups
[    0.003477] pid_max: default: 32768 minimum: 301
[    0.003542] Security Framework initialized
[    0.003556] SELinux:  Initializing.
[    0.003790] Dentry cache hash table entries: 524288 (order: 6, 4194304 bytes)
[    0.005169] Inode-cache hash table entries: 262144 (order: 5, 2097152 bytes)
[    0.005774] Mount-cache hash table entries: 4096
[    0.013400] Initializing cgroup subsys cpuacct
[    0.013410] Initializing cgroup subsys memory
[    0.013517] Initializing cgroup subsys devices
[    0.013524] Initializing cgroup subsys freezer
[    0.013531] Initializing cgroup subsys net_cls
[    0.013538] Initializing cgroup subsys blkio
[    0.053937] Initializing cgroup subsys perf_event
[    0.053987] ftrace: allocating 21118 entries in 8 pages
[    0.068079] POWER5+/++ performance monitor hardware support registered
[    0.068600] Brought up 2 CPUs
[    0.069634] devtmpfs: initialized
[    0.084310] atomic64 test passed
[    0.084400] NET: Registered protocol family 16
[    0.084423] IBM eBus Device Driver
[    0.087480] PCI: Probing PCI hardware
[    0.087586] PCI host bridge to bus 0000:00
[    0.087596] pci_bus 0000:00: root bus resource [io  0x10000-0x10ffff]
[    0.087607] pci_bus 0000:00: root bus resource [mem 0x40040000000-0x4007fffffff]
[    0.090599] IOMMU table initialized, virtual merging enabled
[    0.106095] PCI host bridge to bus 0001:00
[    0.106104] pci_bus 0001:00: root bus resource [io  0x120000-0x21ffff]
[    0.106114] pci_bus 0001:00: root bus resource [mem 0x40080000000-0x400bfffffff]
[    0.124208] PCI host bridge to bus 0002:00
[    0.124219] pci_bus 0002:00: root bus resource [io  0x230000-0x32ffff]
[    0.124229] pci_bus 0002:00: root bus resource [mem 0x400c0000000-0x400ffffffff]
[    0.152049] opal: Node not found
[    0.153811] bio: create slab <bio-0> at 0
[    0.154089] vgaarb: device added: PCI:0000:00:01.0,decodes=io+mem,owns=mem,locks=none
[    0.154120] vgaarb: loaded
[    0.154125] vgaarb: bridge control possible 0000:00:01.0
[    0.154241] SCSI subsystem initialized
[    0.218546] usbcore: registered new interface driver usbfs
[    0.218571] usbcore: registered new interface driver hub
[    0.218626] usbcore: registered new device driver usb
[    0.218911] NetLabel: Initializing
[    0.218918] NetLabel:  domain hash size = 128
[    0.218925] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.218949] NetLabel:  unlabeled traffic allowed by default
[    0.219047] Switching to clocksource timebase
[    0.238925] NET: Registered protocol family 2
[    0.238990] IP route cache hash table entries: 32768 (order: 2, 262144 bytes)
[    0.239201] TCP established hash table entries: 131072 (order: 5, 2097152 bytes)
[    0.239765] TCP bind hash table entries: 65536 (order: 4, 1048576 bytes)
[    0.284065] TCP: Hash tables configured (established 131072 bind 65536)
[    0.284075] TCP reno registered
[    0.284087] UDP hash table entries: 2048 (order: 0, 65536 bytes)
[    0.284121] UDP-Lite hash table entries: 2048 (order: 0, 65536 bytes)
[    0.284233] NET: Registered protocol family 1
[    0.400022] Unpacking initramfs...
[    6.104168] Freeing initrd memory: 23168k freed
[    6.105660] vio 30000000: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    6.105732] vio 30000001: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    6.105776] vio 4000: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    6.105817] vio 4001: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    6.105858] vio 4002: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    6.105898] vio 4003: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    6.106364] audit: initializing netlink socket (disabled)
[    6.106389] type=2000 audit(1340956324.059:1): initialized
[    6.295130] HugeTLB registered 16 MB page size, pre-allocated 0 pages
[    6.295144] HugeTLB registered 16 GB page size, pre-allocated 0 pages
[    6.299225] VFS: Disk quotas dquot_6.5.2
[    6.299340] Dquot-cache hash table entries: 8192 (order 0, 65536 bytes)
[    6.300219] msgmni has been set to 7740
[    6.300928] alg: No test for stdrng (krng)
[    6.300946] NET: Registered protocol family 38
[    6.301031] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    6.301079] io scheduler noop registered
[    6.301087] io scheduler deadline registered
[    6.301199] io scheduler cfq registered (default)
[    6.301361] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    6.301538] Using unsupported 1024x768 display at 4007e000000, depth=8, pitch=1024
[    6.312070] Console: switching to colour frame buffer device 128x48
[    6.325888] fb0: Open Firmware frame buffer device on /pci@800000020000002/display@1
[    6.326491] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    6.328118] Linux agpgart interface v0.103
[    6.329614] loop: module loaded
[    6.329688] Uniform Multi-Platform E-IDE driver
[    6.329748] ide-gd driver 1.18
[    6.329965] Fixed MDIO Bus: probed
[    6.330054] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    6.330377] ehci_hcd 0002:cc:01.2: EHCI Host Controller
[    6.330482] ehci_hcd 0002:cc:01.2: new USB bus registered, assigned bus number 1
[    6.359167] ehci_hcd 0002:cc:01.2: irq 276, io mem 0x400f8002000
[    6.379080] ehci_hcd 0002:cc:01.2: USB 2.0 started, EHCI 1.00
[    6.379123] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    6.379134] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    6.379144] usb usb1: Product: EHCI Host Controller
[    6.379152] usb usb1: Manufacturer: Linux 3.3.4-5.fc17.ppc64 ehci_hcd
[    6.379162] usb usb1: SerialNumber: 0002:cc:01.2
[    6.379360] hub 1-0:1.0: USB hub found
[    6.379371] hub 1-0:1.0: 5 ports detected
[    6.379544] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    6.379863] ohci_hcd 0002:cc:01.0: OHCI Host Controller
[    6.379950] ohci_hcd 0002:cc:01.0: new USB bus registered, assigned bus number 2
[    6.379992] ohci_hcd 0002:cc:01.0: irq 276, io mem 0x400f8001000
[    6.469078] usb usb2: New USB device found, idVendor=1d6b, idProduct=0001
[    6.469090] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    6.469100] usb usb2: Product: OHCI Host Controller
[    6.469108] usb usb2: Manufacturer: Linux 3.3.4-5.fc17.ppc64 ohci_hcd
[    6.469117] usb usb2: SerialNumber: 0002:cc:01.0
[    6.469293] hub 2-0:1.0: USB hub found
[    6.469307] hub 2-0:1.0: 3 ports detected
[    6.469707] ohci_hcd 0002:cc:01.1: OHCI Host Controller
[    6.469789] ohci_hcd 0002:cc:01.1: new USB bus registered, assigned bus number 3
[    6.469826] ohci_hcd 0002:cc:01.1: irq 276, io mem 0x400f8000000
[    6.559067] usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
[    6.559089] usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    6.559099] usb usb3: Product: OHCI Host Controller
[    6.559107] usb usb3: Manufacturer: Linux 3.3.4-5.fc17.ppc64 ohci_hcd
[    6.559117] usb usb3: SerialNumber: 0002:cc:01.1
[    6.559313] hub 3-0:1.0: USB hub found
[    6.559326] hub 3-0:1.0: 2 ports detected
[    6.559444] uhci_hcd: USB Universal Host Controller Interface driver
[    6.559548] usbcore: registered new interface driver usbserial
[    6.559568] USB Serial support registered for generic
[    6.559593] usbcore: registered new interface driver usbserial_generic
[    6.559603] usbserial: USB Serial Driver core
[    6.559864] mousedev: PS/2 mouse device common for all mice
[    6.560101] rtc-generic rtc-generic: rtc core: registered rtc-generic as rtc0
[    6.560241] device-mapper: uevent: version 1.0.3
[    6.560375] device-mapper: ioctl: 4.22.0-ioctl (2011-10-19) initialised: dm-devel@redhat.com
[    6.560678] usbcore: registered new interface driver usbhid
[    6.560686] usbhid: USB HID core driver
[    6.560770] ip_tables: (C) 2000-2006 Netfilter Core Team
[    6.560799] TCP cubic registered
[    6.560805] Initializing XFRM netlink socket
[    6.561028] NET: Registered protocol family 10
[    6.561241] Mobile IPv6
[    6.561249] NET: Registered protocol family 17
[    6.561261] Registering the dns_resolver key type
[    6.564367] registered taskstats version 1
[    6.569260] rtc-generic rtc-generic: setting system clock to 2012-06-29 07:52:05 UTC (1340956325)
[    6.569285] Initializing network drop monitor service
[    6.570795] Freeing unused kernel memory: 6656k freed
[    6.887560] dracut: dracut-018-35.git20120510.fc17
[    6.946010] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    6.949762] Loading iSCSI transport class v2.0-870.
[    6.951969] iscsi: registered transport (tcp)
[    6.954629] alua: device handler registered
[    6.957406] emc: device handler registered
[    6.960033] hp_sw: device handler registered
[    6.962729] rdac: device handler registered
ERROR: could not insert 'floppy': No such device
FATAL: Module edd not found.
FATAL: Module iscsi_ibft not found.
[    7.006626] md: raid0 personality registered for level 0
[    7.009711] md: raid1 personality registered for level 1
[    7.012442] async_tx: api initialized (async)
[    7.012691] xor: measuring software checksum speed
[    7.059078]    8regs     :  4812.800 MB/sec
[    7.109084]    8regs_prefetch:  5420.800 MB/sec
[    7.159080]    32regs    :  4249.600 MB/sec
[    7.209091]    32regs_prefetch:  5164.800 MB/sec
[    7.209099] xor: using function: 8regs_prefetch (5420.800 MB/sec)
[    7.369084] usb 3-1: new low-speed USB device number 2 using ohci_hcd
[    7.379115] raid6: int64x1   1441 MB/s
[    7.549092] raid6: int64x2   2582 MB/s
[    7.594093] usb 3-1: New USB device found, idVendor=046a, idProduct=0011
[    7.594107] usb 3-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[    7.611428] input: HID 046a:0011 as /devices/pci0002:00/0002:00:02.3/0002:cc:01.1/usb3/3-1/3-1:1.0/input/input0
[    7.611584] generic-usb 0003:046A:0011.0001: input,hidraw0: USB HID v1.11 Keyboard [HID 046a:0011] on usb-0002:cc:01.1-1/input0
[    7.719076] raid6: int64x4   2479 MB/s
[    7.889105] raid6: int64x8   1366 MB/s
[    7.889113] raid6: using algorithm int64x2 (2582 MB/s)
[    7.891180] md: raid6 personality registered for level 6
[    7.891190] md: raid5 personality registered for level 5
[    7.891199] md: raid4 personality registered for level 4
[    7.899155] md: raid10 personality registered for level 10
[    7.901771] md: linear personality registered for level -1
[    7.914146] device-mapper: multipath: version 1.3.0 loaded
[    7.916774] device-mapper: multipath round-robin: version 1.0.0 loaded
Loading Fedora 17 ppc64 installer...
[    8.050404] dracut: livenet: no url handler for CDLABEL=Fedora_17_ppc64
[    8.054525] dracut: rd.luks=0: removing cryptoluks activation
[    8.066573] dracut: root was live:CDLABEL=Fedora_17_ppc64, is now live:/dev/disk/by-label/Fedora_17_ppc64
[    8.072219] dracut: rd.lvm=0: removing LVM activation
[    8.140684] RPC: Registered named UNIX socket transport module.
[    8.140698] RPC: Registered udp transport module.
[    8.140706] RPC: Registered tcp transport module.
[    8.140714] RPC: Registered tcp NFSv4.1 backchannel transport module.
[    8.256825] udevd[223]: starting version 182
[    8.274484] dracut: rd.dm=0: removing DM RAID activation
[    8.289771] dracut: rd.md=0: removing MD RAID activation
[    8.425273] pata_pdc2027x 0001:cc:01.0: enabling device (0002 -> 0003)
[    8.427299] ipr: IBM Power RAID SCSI Device Driver version: 2.5.2 (April 27, 2011)
[    8.427448] ipr 0001:d0:01.0: Found IOA with IRQ: 325
[    8.445311] e1000: Intel(R) PRO/1000 Network Driver - version 7.3.21-k8-NAPI
[    8.445324] e1000: Copyright (c) 1999-2006 Intel Corporation.
[    8.445494] e1000 0002:d0:01.0: enabling device (0000 -> 0002)
[    8.525303] pata_pdc2027x 0001:cc:01.0: PLL input clock 32754 kHz
[    8.556329] scsi1 : pata_pdc2027x
[    8.611225] ipr 0001:d0:01.0: Starting IOA initialization sequence.
[    8.614090] scsi2 : pata_pdc2027x
[    8.614195] ata1: PATA max UDMA/133 mmio m16384@0x400b8000000 cmd 0x400b80017c0 irq 324
[    8.614208] ata2: PATA max UDMA/133 mmio m16384@0x400b8000000 cmd 0x400b80015c0 irq 324
[    8.616166] ipr 0001:d0:01.0: Adapter firmware version: 0510006D
[    8.630506] ipr 0001:d0:01.0: IOA initialized.
[    8.630532] scsi0 : IBM 573E Storage Adapter
[    8.650156] scsi 0:0:5:0: Direct-Access     IBM   H0 HUS103073FL3800  RPQR PQ: 0 ANSI: 4
[    8.657731] scsi 0:0:15:0: Enclosure         IBM      VSBPD4E1  U4SCSI 6000 PQ: 0 ANSI: 2
[    8.789678] ata1.00: ATAPI: IBM     DROM00205L1   H0, P533, max UDMA/66
[    8.794326] e1000 0002:d0:01.0: eth0: (PCI-X:133MHz:64-bit) 00:14:5e:96:4b:18
[    8.794343] e1000 0002:d0:01.0: eth0: Intel(R) PRO/1000 Network Connection
[    8.794520] e1000 0002:d0:01.1: enabling device (0000 -> 0002)
[    8.830542] ata1.00: configured for UDMA/66
[    8.830887] scsi: waiting for bus probes to complete ...
[    9.106307] sd 0:0:5:0: Attached scsi generic sg0 type 0
[    9.106662] scsi 0:0:15:0: Attached scsi generic sg1 type 13
[    9.108220] sd 0:0:5:0: [sda] 143374000 512-byte logical blocks: (73.4 GB/68.3 GiB)
[    9.109441] scsi 1:0:0:0: CD-ROM            IBM      DROM00205L1   H0 P533 PQ: 0 ANSI: 2
[    9.110600] sr0: scsi3-mmc drive: 61x/61x cd/rw xa/form2 cdda tray
[    9.110611] cdrom: Uniform CD-ROM driver Revision: 3.20
[    9.111136] sr 1:0:0:0: Attached scsi generic sg2 type 5
[    9.129980] sd 0:0:5:0: [sda] Write Protect is off
[    9.140895] e1000 0002:d0:01.1: eth1: (PCI-X:133MHz:64-bit) 00:14:5e:96:4b:19
[    9.140911] e1000 0002:d0:01.1: eth1: Intel(R) PRO/1000 Network Connection
[    9.143023] sd 0:0:5:0: [sda] Write cache: disabled, read cache: enabled, supports DPO and FUA
[    9.183974]  sda: sda1 sda2 sda3
[    9.211915] sd 0:0:5:0: [sda] Attached SCSI disk
[    9.280923] scsi: unknown device type 31
[    9.280937] scsi 0:255:255:255: No Device         IBM      573E001          0150 PQ: 0 ANSI: 0
[    9.282952] scsi 0:255:255:255: Attached scsi generic sg3 type 31
[   10.948577] EXT4-fs (dm-0): mounted filesystem with ordered data mode. Opts: (null)
[   11.356800] dracut: Mounted root filesystem /dev/mapper/live-rw
rpcbind: rpcbind terminating on signal. Restart with "rpcbind -w"
[   12.390384] dracut: Switching root
[   14.663148] SELinux:  Permission ptrace_child in class process not defined in policy.
[   14.663409] SELinux: the above unknown classes and permissions will be allowed
[   14.852679] type=1403 audit(1340956333.769:2): policy loaded auid=4294967295 ses=4294967295

Welcome to Linux!

Started Lock Directory                                                 [  OK  ]
Starting File System Check on Root Device...                                   
Starting Remount API VFS...                                                    
Starting Media Directory...                                                    
Started Runtime Directory                                              [  OK  ]
Starting Monitoring of LVM2 mirrors, snapshots etc. using d...ogress polling...
Starting Software RAID Monitor Takeover...                                     
Starting Apply Kernel Variables...                                             
Started Load Kernel Modules                                            [  OK  ]
Started Set Up Additional Binary Formats                               [  OK  ]
Starting POSIX Message Queue File System...                                    
Started FUSE Control File System                                       [  OK  ]
Starting Security File System...                                               
Starting Debug File System...                                                  
Starting Journal Service...                                                    
Started Journal Service                                                [  OK  ]
Starting Huge Pages File System...                                             
Starting Configuration File System...                                          
Starting udev Coldplug all Devices...                                          
Starting udev Kernel Device Manager...                                         
Starting Setup Virtual Console...                                              
Started udev Kernel Device Manager                                     [  OK  ]
Started File System Check on Root Device                               [  OK  ]
Failed to start Remount API VFS                                        [FAILED]
See 'systemctl status systemd-remount-api-vfs.service' for details.            
Started Media Directory                                                [  OK  ]
Started Monitoring of LVM2 mirrors, snapshots etc. u...rogress polling [  OK  ]
Started Software RAID Monitor Takeover                                 [  OK  ]
Started Apply Kernel Variables                                         [  OK  ]
Started POSIX Message Queue File System                                [  OK  ]
Started Security File System                                           [  OK  ]
Started Debug File System                                              [  OK  ]
Started Huge Pages File System                                         [  OK  ]
Started Configuration File System                                      [  OK  ]
Started Setup Virtual Console                                          [  OK  ]
Started udev Coldplug all Devices                                      [  OK  ]
Starting udev Wait for Complete Device Initialization...                       
Starting Remount Root FS...                                                    
Started Remount Root FS                                                [  OK  ]
Started Import network configuration from initramfs                    [  OK  ]
Starting Tell Plymouth To Write Out Runtime Data...                            
Starting Load Random Seed...                                                   
Starting Configure read-only root support...                                   
Started udev Wait for Complete Device Initialization                   [  OK  ]
Started Tell Plymouth To Write Out Runtime Data                        [  OK  ]
Started Load Random Seed                                               [  OK  ]
Started Configure read-only root support                               [  OK  ]
Starting Recreate Volatile Files and Directories...                            
Starting Show Plymouth Boot Screen...                                          
Failed to start Show Plymouth Boot Screen                              [FAILED]
See 'systemctl status plymouth-start.service' for details.                     
Started Recreate Volatile Files and Directories                        [  OK  ]
Started anaconda performance monitor                                   [  OK  ]
Starting System Logging Service...                                             
Starting Network Manager...                                                    
Starting Terminate Plymouth Boot Screen...                                     
Starting Wait for Plymouth Boot Screen to Quit...                              
Started Terminate Plymouth Boot Screen                                 [  OK  ]
Started Wait for Plymouth Boot Screen to Quit                          [  OK  ]
Starting Shell on tty2...                                                      
Started Shell on tty2                                                  [  OK  ]
Starting Shell on hvc1...                                                      
Started Shell on hvc1                                                  [  OK  ]
Starting D-Bus System Message Bus...                                           
Stopped systemd-kmsg-syslogd.service                                   [  OK  ]
Started System Logging Service                                         [  OK  ]
Started D-Bus System Message Bus                                       [  OK  ]
Started Network Manager                                                [  OK  ]

07:52:41 Starting VNC...
Traceback (most recent call last):
  File "/usr/sbin/anaconda", line 804, in <module>
    setupDisplay(anaconda, opts)
  File "/usr/sbin/anaconda", line 587, in setupDisplay
    runVNC(vncS)
  File "/usr/sbin/anaconda", line 331, in runVNC
    vncS.startServer()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/vnc.py", line 190, in startServer
    self.initialize()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/vnc.py", line 113, in initialize
    if self.ip.find(':') != -1:
AttributeError: 'NoneType' object has no attribute 'find'
EPOW <0x64400400000006c 0x0 0x0>
Comment 3 David Woodhouse 2013-01-02 11:12:50 EST
I'm seeing this with F18 (on Intel hardware) too. I have a USB Ethernet dongle. It works fine, but perhaps it's a little too slow? When booting with 'vnc' on the command line, I end up at a screen saying

anaconda 18.37.4 for Fedora 18 (pre-release) started.
07:04:26 Starting VNC...
07:04:26 Could not initialize the VNC server: No IP addresses found.

At the bottom it says 'Pane is dead', with a green bar below it listing what's on the various ttys.


The suggestion in comment 2 — that you just wouldn't be told which IP address to connect to, but that it would still work rather than crashing — would seem to be a very sensible one. Simply refusing to go any further, as it does at the moment (and now *deliberately* so, it seems, rather than just a traceback), is definitely wrong.
Comment 4 David Woodhouse 2013-01-02 11:16:03 EST
Looking at the logs, I see the network comes up at 07:04:28. Just a little too late for anaconda. But that's not relevant; this is clearly an anaconda issue and it should bring up the server even if it doesn't have an IP address *yet*. Hell, even *waiting* for an IP address would be better than just crashing.
Comment 5 Kamil Páral 2013-01-02 12:25:53 EST
This is most probably a duplicate of bug 868777 - and it seems not to be fixed.
Comment 6 Adam Williamson 2013-01-02 12:45:30 EST
Discussed at 2013-01-02 blocker review meeting. Tentatively accepted as a blocker per criterion "The installer must be able to complete an installation using all supported interfaces", in some cases (we think related to slow DHCP, but that's really just an inference we're drawing). We believe it may be possible to workaround this simply by pulling in any updates.img or kickstart (even one which does nothing) as this will cause the network to be brought up during dracut phase: if reporters could test that, it would be helpful.

Note also that https://bugzilla.redhat.com/show_bug.cgi?id=868777 looks very similar, but was claimed fixed in 18.37.2. David Woodhouse's is the only report since then: do you have any more details on your configuration or logs, David?
Comment 7 David Woodhouse 2013-01-02 14:57:12 EST
I've added a more coherent diagnosis in bug 868777, which is indeed very similar. Basically, the bug wasn't fixed at all. The suggestion in comment 2 of this bug wasn't implemented, and all we did was juggle the parameters of the existing race condition while retaining the same fundamental brokenness.

It *isn't* slow DHCP. It's an Ethernet device which is slow to show up at all (using USB dongle because as usual, the shiny new e1000 that's on this board doesn't work even with the F18 kernel). The existing "fix" doesn't do anything in that situation at all.
Comment 8 David Woodhouse 2013-01-02 15:00:12 EST
Re using updates.img... I did pass 'inst.repo=nfs:...' to the kernel; shouldn't it be looking in an RHupdates/ directory in the install tree I pointed it at? It doesn't even seem to have attempted to mount it at this point — obviously. Is that another bug?
Comment 9 David Woodhouse 2013-01-02 15:57:49 EST
Created attachment 671691 [details]
Untested patch

Something like this might work. Completely untested.

It looks like we already cope with there being no hostname/ip to connect to, and we do just print a relatively unhelpful "please connect your VNC client". It's just that we take an exception *before* that. This should avoid the exception, and lets us continue without aborting.
Comment 10 Jaroslav Reznik 2013-01-03 08:37:25 EST
Radek is on PTO this week, could anyone from Anaconda team take a look on this bug? Thanks.
Comment 11 Fedora Update System 2013-01-04 19:26:58 EST
anaconda-18.37.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.37.10-1.fc18
Comment 12 David Woodhouse 2013-01-05 03:56:42 EST
If I want to test this before it hits F18 for real, short of doing a complete compose myself, how would I do so?
Comment 13 Adam Williamson 2013-01-05 04:40:35 EST
make an updates.img with the patch. check out anaconda from git and see scripts/makeupdates .
Comment 14 Fedora Update System 2013-01-05 16:53:48 EST
Package anaconda-18.37.10-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.37.10-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0291/anaconda-18.37.10-1.fc18
then log in and leave karma (feedback).
Comment 15 Kamil Páral 2013-01-07 08:28:26 EST
This is fixed in anaconda-18.37.10 in RC1. Anaconda doesn't crash, it prints I should wait for my interface, learn the ip address and connect using a vnc client. This approach works.
Comment 16 Fedora Update System 2013-01-07 20:19:43 EST
anaconda-18.37.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.37.11-1.fc18
Comment 17 Fedora Update System 2013-01-08 16:33:05 EST
anaconda-18.37.11-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Radek Vykydal 2013-01-31 05:18:33 EST
*** Bug 867425 has been marked as a duplicate of this bug. ***
Comment 19 Radek Vykydal 2013-01-31 08:59:13 EST
*** Bug 868777 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.